This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

Approve PrivateLink Endpoint

1 - 1.3

put /v1/privatelink-endpoints/{privatelink_endpoint_id}/approval

Description

Approve PrivateLink Endpoint

State ACTIVE (CURRENT)

VersionNot Before
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathprivatelink_endpoint_id
required
PrivateLink Endpoint ID
Example : bba6d4de3ad64e41b3a1b6c88983ec02
stringNone
bodybody
required

PrivateLinkEndpointApprovalRequest

Responses

HTTP CodeDescriptionSchema
200OKPrivateLinkEndpointSummaryShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/privatelink-endpoints/{privatelink_endpoint_id}/approval

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.3"

Request body

{
    "type": "APPROVE"
}

Example HTTP response

Response 200

{
    "privatelink_endpoint": {
        "created_at": "2024-06-16T02:55:13Z",
        "id": "bba6d4de3ad64e41b3a1b6c88983ec02",
        "state": "ACTIVE"
    }
}

2 - 1.2

put /v1/privatelink-endpoints/{privatelink_endpoint_id}/approval

Description

Approve PrivateLink Endpoint

State ACTIVE (SUPPORTED)

VersionNot Before
1.220270131

Parameters

TypeNameDescriptionSchemaDefault
pathprivatelink_endpoint_id
required
PrivateLink Endpoint ID
Example : bba6d4de3ad64e41b3a1b6c88983ec02
stringNone
bodybody
required

PrivateLinkEndpointApprovalRequest

Responses

HTTP CodeDescriptionSchema
200OKPrivateLinkEndpointSummaryShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/privatelink-endpoints/{privatelink_endpoint_id}/approval

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.2"

Request body

{
    "type": "APPROVE"
}

Example HTTP response

Response 200

{
    "privatelink_endpoint": {
        "created_at": "2024-06-16T02:55:13Z",
        "id": "bba6d4de3ad64e41b3a1b6c88983ec02",
        "state": "ACTIVE"
    }
}

3 - 1.1

put /v1/privatelink-endpoints/{privatelink_endpoint_id}/approval

Description

Approve PrivateLink Endpoint

State ACTIVE (SUPPORTED)

VersionNot Before
1.120261130

Parameters

TypeNameDescriptionSchemaDefault
pathprivatelink_endpoint_id
required
PrivateLink Endpoint ID
Example : bba6d4de3ad64e41b3a1b6c88983ec02
stringNone
bodybody
required

PrivateLinkEndpointApprovalRequest

Responses

HTTP CodeDescriptionSchema
200OKPrivateLinkEndpointSummaryShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/privatelink-endpoints/{privatelink_endpoint_id}/approval

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "type": "APPROVE"
}

Example HTTP response

Response 200

{
    "privatelink_endpoint": {
        "created_at": "2024-06-16T02:55:13Z",
        "id": "bba6d4de3ad64e41b3a1b6c88983ec02",
        "state": "ACTIVE"
    }
}